Bug 839816 - [abrt] echolinux-0.17a-9.fc17: openSocket: Process /usr/bin/echogui was killed by signal 11 (SIGSEGV)
[abrt] echolinux-0.17a-9.fc17: openSocket: Process /usr/bin/echogui was kille...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: echolinux (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
abrt_hash:21151e7cc0ef814ce5a68fb34b1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 19:14 EDT by Dartagnan
Modified: 2013-07-31 18:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:34:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (8.54 KB, text/plain)
2012-07-12 19:14 EDT, Dartagnan
no flags Details
File: maps (4.07 KB, text/plain)
2012-07-12 19:14 EDT, Dartagnan
no flags Details

  None (edit)
Description Dartagnan 2012-07-12 19:14:43 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/echogui
crash_function: openSocket
executable:     /usr/bin/echogui
kernel:         3.4.4-5.fc17.i686
pid:            7020
pwd:            /home/DRA1/Documents
time:           Wed 11 Jul 2012 06:08:29 PM MDT
uid:            1000
username:       DRA1
xsession_errors: 

backtrace:      Text file, 8747 bytes
maps:           Text file, 4163 bytes

build_ids:
:84fcffe5b0ea2c0e72e1a85e00ec1e5181c6382f
:4c23c393ed8b8565bd8e90d5b57a868ba0ccfab3
:3e8db068ebbfae69654767b42d9b0475c53121e7
:c231c23d958aa42bb98f000cee5a9a11e090249d
:75dd838611972f941eddfbc872c11bb0e35fb8c2
:f13e5fa699a7129ee3080ddeb31558ef7578cddb
:8942f83f6428f92b3e2b20fd88874d1554ab96f2
:085dc11dabe8793b68da89dface6f153c1eae73b
:9ff154685b04583c95ef0f393e8be81e3c51ca7b
:6c7ecdd436d5f0721a644466ae972ef51d018afc
:abcfe6b280fcee6f1f127d40d8f54e6b4d896f5a
:34c0109644042e9baa5dac5001eca04f87adf393
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef
:1a6724864a20a8124878efd04edfc1b05ef3d5c3
:bef638b29fdf84e92e8f33383eb8adb175128188
:c9666f5e43b3b03d782acadda76ae3074095c8a4

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/DRA1/6

core_backtrace:
:84fcffe5b0ea2c0e72e1a85e00ec1e5181c6382f 0x53ad - [exe] -
:84fcffe5b0ea2c0e72e1a85e00ec1e5181c6382f 0x5bed - [exe] -
:abcfe6b280fcee6f1f127d40d8f54e6b4d896f5a 0x6adf start_thread libpthread.so.0 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0xf155e clone libc.so.6 -

dso_list:
:/usr/lib/libX11.so.6.3.0 libX11-1.5.0-2.fc17.i686 (Fedora Project) 1340902850
:/usr/lib/libc-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libnss_mdns4_minimal.so.2 nss-mdns-0.10-10.fc17.i686 (Fedora Project) 1340909770
:/usr/bin/echogui echolinux-0.17a-9.fc17.i686 (Fedora Project) 1340910304
:/usr/lib/libresolv-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libdl-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libnss_myhostname.so.2 nss-myhostname-0.3-2.fc17.i686 (Fedora Project) 1337719224
:/usr/lib/libpthread-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/ld-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-3.fc17.i686 (Fedora Project) 1337719196
:/usr/lib/libxcb.so.1.1.0 libxcb-1.8.1-1.fc17.i686 (Fedora Project) 1340902849
:/usr/lib/libnss_dns-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libm-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libXpm.so.4.11.0 libXpm-3.5.10-1.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libforms.so.2.0.0 xforms-1.0.94-0.2.pre5.fc17.i686 (Fedora Project) 1340909620
:/usr/lib/libnss_files-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193

environ:
:XDG_VTNR=2
:SSH_AGENT_PID=6477
:XDG_SESSION_ID=6
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=DELLGX280
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:XDM_MANAGED=method=classic
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/DRA1/.gtkrc-2.0:/home/DRA1/.gtkrc-2.0-kde4:/home/DRA1/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GNOME_KEYRING_CONTROL=/home/DRA1/.cache/keyring-APPTif
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=DRA1
:XCURSOR_SIZE=0
:SSH_AUTH_SOCK=/tmp/ssh-FfCNgIxg6330/agent.6330
:DESKTOP_SESSION=kde-plasma-safe
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/DRA1/.local/bin:/home/DRA1/bin
:MAIL=/var/spool/mail/DRA1
:QT_IM_MODULE=xim
:PWD=/home/DRA1
:KWIN_COMPOSE=N
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:GNOME_KEYRING_PID=6328
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/DRA1
:KDE_SESSION_VERSION=4
:KDE_FAILSAFE=1
:XCURSOR_THEME=Dart3DSE
:LOGNAME=DRA1
:QTLIB=/usr/lib/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-iIzcY4i55u,guid=b7175b88e5d200f047307c6400000f61
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/DRA1
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins:/home/DRA1/.kde/lib/kde4/plugins/:/usr/lib/kde4/plugins/
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-DRA1/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/6554,unix/unix:/tmp/.ICE-unix/6554
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/DRA1/.gtkrc:/home/DRA1/.kde/share/config/gtkrc
:DESKTOP_STARTUP_ID=DELLGX280;1342051709;4260;6565_TIME4362899

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 24044                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         unlimited            unlimited            bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       24044                24044                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     99                   99                   
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[104475]
:pos:	0
:flags:	00
:1:/home/DRA1/.xsession-errors
:pos:	52942
:flags:	0100001
:2:/home/DRA1/.xsession-errors
:pos:	52942
:flags:	0100001
:3:/etc/echolinux/userdata.txt
:pos:	33
:flags:	00
:4:/etc/echolinux/servers.txt
:pos:	21
:flags:	00

smolt_data:
:
:
:General
:=================================
:UUID: f560009c-a6ef-4ea7-93c0-82f9f8a43b67
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 5586.14
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) 4 CPU 2.80GHz
:CPU Stepping: 1
:CPU Family: 15
:CPU Model Num: 4
:Number of CPUs: 2
:CPU Speed: 2800
:System Memory: 3022
:System Swap: 5055
:Vendor: Dell Inc.
:System: OptiPlex GX280 
:Form factor: Desktop
:Kernel: 3.4.4-5.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Terra.1366.768
:MythTV Plugin: mythweather,mythmusic,mythnews,mytharchive,mythgallery,mythbrowser,mythnetvision,mythgame,mythzoneminder
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:9792:0:0) pci, None, PCI/ISA, 82801FB/FR (ICH6/ICH6R) LPC Interface Bridge
:(4164:42240:0:0) pci, None, PCI/PCI, PCI Bridge
:(5348:5751:4136:377) pci, tg3, ETHERNET, Optiplex GX280
:(32902:9602:4136:377) pci, i915, VIDEO, 82915G/GV/910GL Integrated Graphics Controller
:(32902:10114:4136:377) pci, None, VIDEO, 82915G Integrated Graphics Controller
:(32902:9824:0:0) pci, pcieport, PCI/PCI, 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1
:(32902:9826:0:0) pci, pcieport, PCI/PCI, 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 2
:(6164:513:5943:50) pci, rt2500pci, NETWORK, WMP54G 2.0 PCI Adapter
:(32902:9839:4136:377) pci, ata_piix, STORAGE, 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller
:(32902:9834:4136:377) pci, i801_smbus, SERIAL, Optiplex GX280
:(32902:9294:0:0) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:9838:4136:377) pci, snd_intel8x0, MULTIMEDIA_AUDIO, Optiplex GX280
:(32902:9809:4136:377) pci, ata_piix, STORAGE, Optiplex GX280
:(32902:9817:4136:377) pci, uhci_hcd, USB, Optiplex GX280
:(32902:9816:4136:377) pci, uhci_hcd, USB, Optiplex GX280
:(32902:9600:4136:377) pci, agpgart-intel, HOST/PCI, 82915G/P/GV/GL/PL/910GL Memory Controller Hub
:(32902:9818:4136:377) pci, uhci_hcd, USB, Optiplex GX280
:(4164:42241:4164:49212) pci, PCI_I2O, NONE, 2000S Ultra3 Single Channel
:(32902:9819:4136:377) pci, uhci_hcd, USB, Optiplex GX280
:(32902:9820:4136:377) pci, ehci_hcd, USB, Optiplex GX280
:(32902:9601:32902:0) pci, pcieport, PCI/PCI, 82915G/P/GV/GL/PL/910GL PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_dellgx280-lv_root / ext4 4096 4096 13091841 8280002 8148969 3276800 2735056 2735056
:/dev/sda1 /boot ext4 1024 1024 508644 324565 298965 128016 127598 127598
:/dev/mapper/vg_dellgx280-lv_home /home ext4 4096 4096 24487315 19137035 17910693 6135808 5932986 5932986
:

var_log_messages:
:Jul 11 18:08:29 DELLGX280 kernel: [ 4363.061933] echogui[7021]: segfault at 50 ip 0804c3ad sp b7761250 error 4 in echogui[8047000+8000]
:Jul 11 18:08:29 DELLGX280 abrt[7022]: Saved core dump of pid 7020 (/usr/bin/echogui) to /var/spool/abrt/ccpp-2012-07-11-18:08:29-7020 (9093120 bytes)
Comment 1 Dartagnan 2012-07-12 19:14:47 EDT
Created attachment 597915 [details]
File: backtrace
Comment 2 Dartagnan 2012-07-12 19:14:48 EDT
Created attachment 597916 [details]
File: maps
Comment 3 Fedora End Of Life 2013-07-03 17:28:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 18:34:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.